package org.implab.gradle.common.exec;

import java.io.File;
import java.util.Map;
import java.util.Optional;

public interface EnvironmentSpec {

    boolean inheritEnvironment();

    Map<String,String> environment();

    Optional<File> workingDirectory();
}
